# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Enumerations

# vl::Dae Namespace Reference

## Classes

struct | Vert
| COLLADA vertex. More...
struct | Source
| COLLADA data source. More...
struct | Input
| COLLADA input stream. More...
struct | Primitive
| COLLADA primitive. More...
struct | Mesh
| COLLADA mesh. More...
struct | Node
| COLLADA node. More...
struct | Surface
| COLLADA surface. More...
struct | Sampler2D
| COLLADA sampler2D. More...
struct | NewParam
| COLLADA newparam. More...
struct | ColorOrTexture
| COLLADA color or texture input. More...
struct | TechniqueCOMMON
| COLLADA common technique. More...
struct | Effect
| COLLADA effect. More...
struct | Material
| COLLADA material. More...

## Enumerations

enum | EPrimitiveType { PT_UNKNOWN, PT_LINES, PT_LINE_STRIP, PT_POLYGONS, PT_POLYLIST, PT_TRIANGLES, PT_TRIFANS, PT_TRISTRIPS }
enum | EOpaqueMode { OM_A_ONE, OM_RGB_ZERO }
enum | EInputSemantic { IS_UNKNOWN, IS_BINORMAL, IS_COLOR, IS_CONTINUITY, IS_IMAGE, IS_INPUT, IS_IN_TANGENT, IS_INTERPOLATION, IS_INV_BIND_MATRIX, IS_JOINT, IS_LINEAR_STEPS, IS_MORPHS_TARGET, IS_MORPH_WEIGHT, IS_NORMAL, IS_OUTPUT, IS_OUT_TANGENT, IS_POSITION, IS_TANGENT, IS_TEXBINORMAL, IS_TEXCOORD, IS_TEXTANGENT, IS_UV, IS_VERTEX, IS_WEIGHT }

## Enumeration Type Documentation

enum vl::Dae::EPrimitiveType

Enumerator:

  PT_UNKNOWN |
  PT_LINES |
  PT_LINE_STRIP |
  PT_POLYGONS |
  PT_POLYLIST |
  PT_TRIANGLES |
  PT_TRIFANS |
  PT_TRISTRIPS |

Definition at line 65 of file DaeHelpers.hpp.

enum vl::Dae::EOpaqueMode

Enumerator:

  OM_A_ONE |
  OM_RGB_ZERO |

Definition at line 67 of file DaeHelpers.hpp.

enum vl::Dae::EInputSemantic

Enumerator:

  IS_UNKNOWN |
  IS_BINORMAL |
  IS_COLOR |
  IS_CONTINUITY |
  IS_IMAGE |
  IS_INPUT |
  IS_IN_TANGENT |
  IS_INTERPOLATION |
  IS_INV_BIND_MATRIX |
  IS_JOINT |
  IS_LINEAR_STEPS |
  IS_MORPHS_TARGET |
  IS_MORPH_WEIGHT |
  IS_NORMAL |
  IS_OUTPUT |
  IS_OUT_TANGENT |
  IS_POSITION |
  IS_TANGENT |
  IS_TEXBINORMAL |
  IS_TEXCOORD |
  IS_TEXTANGENT |
  IS_UV |
  IS_VERTEX |
  IS_WEIGHT |

Definition at line 69 of file DaeHelpers.hpp.

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:00.
Permission is granted to use this page to write and publish articles regarding Visualization Library.